Project

General

Profile

Bug #6689

Can't unpack encrypted LBU with libressl

Added by Mike Rothfuss about 2 years ago. Updated almost 2 years ago.

Status:
Closed
Priority:
High
Assignee:
Category:
Boot sequence
Target version:
Start date:
01/16/2017
Due date:
% Done:

100%

Estimated time:
Affected versions:
Security IDs:

Description

With a fresh install of v3.5.0, libressl is shipped instead of openssl.

The openssl apk is still required by the initramfs-init script to unpack an encrypted LBU.

http://git.alpinelinux.org/cgit/mkinitfs/tree/initramfs-init.in

line 58: the openssl APK reference just needs to be changed to libressl

Associated revisions

Revision a13f26f5 (diff)
Added by Natanael Copa almost 2 years ago

main/mkinitfs: fix decrypt of apkovl

ref #6689

Revision 478c6de3 (diff)
Added by Natanael Copa almost 2 years ago

main/mkinitfs: fix decrypt of apkovl

fixes #6689

History

#1 Updated by Natanael Copa almost 2 years ago

  • Status changed from New to Resolved
  • % Done changed from 90 to 100

#2 Updated by Leonardo Arena almost 2 years ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF